<!DOCTYPE html>
<html>
<head>
	<title>Class 6</title>
	<script type="text/javascript">
		function jsObjects(){
			let obj = {
				"name":"praveen",
				"place":"hyderabad",
				"bio": function () {
					return "i am" + this.name +" , I am from" + this.place;
				}
			}
			// console.log(obj.name,obj.place,obj.bio());

			// console.log(obj["name"],obj["place"],obj["bio"]());
		   function Movie(name,genre,year) {
		   	this.name =name;
		   	this.genre =genre;
		   	this.year =year;
		   	this.description =function(){
		   		return this.name + "is of genre" + this.genre+ "and released in" +this.year;
		   		// here this refers to the movie object
		   	}
		   }
		   // constructor  functions can be used as classes
	        // movie.collections ="100 crores";
	        let bahubali =new Movie("Bahubali","Fantacy",2015);//here we are using movie class and inheriting its properties.this is an instance of movie class
	        let rangastalam =new Movie("Rangastalam","period",2018);

	        bahubali.collections="200 crores";//object properties has precedence over the class properties
	        Movie.prototype.collections="100 crores"; //by using prototype we can add new properties or functions to the already existing class.
	        Movie.prototype.newDescription=function(){
	        	return "My Collections are" + this.collections;
	        }
	        console.log(bahubali.name,bahubali.year,bahubali.collections,bahubali.newDescription());
		}
		jsObjects();
	</script>
</head>
<body>

</body>
</html>